package be.iminds.ilabt.jfed.connectivity_tester;

import java.net.Inet4Address;

/**
 * User: wvdemeer
 */
public class Resolve4Test extends ResolveTest {
    private static final String DEFAULT_IPV4_ADDRESS = "flsmonitor.fed4fire.eu";

    public Resolve4Test() {
        this(DEFAULT_IPV4_ADDRESS, true);
    }

    public Resolve4Test(String address, boolean useAlternativeResolver) {
        super("4", Inet4Address.class, address, useAlternativeResolver);
    }

    public Resolve4Test(String address, boolean useAlternativeResolver, String expectedAddress) {
        super("4", Inet4Address.class, address, useAlternativeResolver, expectedAddress);
    }
}
